Bug 735806 - gimptool-2.0 wants to install 64b plugin of 64b gimp to 32b directory
Summary: gimptool-2.0 wants to install 64b plugin of 64b gimp to 32b directory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gimp
Version: 6.2
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: alpha
: 6.3
Assignee: Nils Philippsen
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 13:48 UTC by David Jaša
Modified: 2016-06-06 09:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-06 09:04:26 UTC


Attachments (Terms of Use)

Description David Jaša 2011-09-05 13:48:40 UTC
Description of problem:
SSIA

Version-Release number of selected component (if applicable):
gimp-devel-tools-2.6.9-4.el6_1.1.x86_64

How reproducible:
always

Steps to Reproduce:
1. build 64b gimp plugin
2. run 'gimptool-2.0 -n --install-admin-bin /path/to/plugin'
3.
  
Actual results:
gimptool returns: 'cp /path/to/plugin /usr/lib/gimp/2.0/plug-ins'

Expected results:
gimptool returns: 'cp /path/to/plugin /usr/lib64/gimp/2.0/plug-ins'

Additional info:
'gimptool-2.0 --gimpplugindir' returns correct directory:
$ gimptool-2.0 --gimpplugindir
/usr/lib64/gimp/2.0

This bug breaks packages that rely on gimptool for gimp plugin installation.

Comment 1 David Jaša 2011-09-06 08:28:10 UTC
Might be related to bug #735938.

Comment 4 RHEL Product and Program Management 2012-07-10 06:28:48 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 5 RHEL Product and Program Management 2012-07-10 23:16:53 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.


Note You need to log in before you can comment on or make changes to this bug.